# Gimp.PDB.prototype.lookup_procedure

    function lookup_procedure(procedure_name: String): Gimp.Procedure {
        // Gjs wrapper for gimp_pdb_lookup_procedure()
    }

This function returns the [class@Procedure] which is registered with procedure_name if it exists, or returns null otherwise.

The returned [class@Procedure] is owned by pdb and must not be modified.

Since 3.0

procedure_name

  A procedure name

Returns

  A [class@Procedure], or null.